<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::table('products', function (Blueprint $table) {
            $table->unsignedBigInteger('woo_id')->nullable()->after('id');
            $table->index('woo_id');
        });

        Schema::table('product_categories', function (Blueprint $table) {
            $table->unsignedBigInteger('woo_id')->nullable()->after('id');
            $table->index('woo_id');
        });

        Schema::table('product_variants', function (Blueprint $table) {
            $table->unsignedBigInteger('woo_id')->nullable()->after('id');
            $table->index('woo_id');
        });
    }

    public function down(): void
    {
        Schema::table('products', function (Blueprint $table) {
            $table->dropIndex(['woo_id']);
            $table->dropColumn('woo_id');
        });
        Schema::table('product_categories', function (Blueprint $table) {
            $table->dropIndex(['woo_id']);
            $table->dropColumn('woo_id');
        });
        Schema::table('product_variants', function (Blueprint $table) {
            $table->dropIndex(['woo_id']);
            $table->dropColumn('woo_id');
        });
    }
};
